Subject: Re: cpio problem
From: [email-masked] (Geoffrey Noer)

14 Apr 1998 21:34:23 -0700
Message-ID: <[email-masked]>
References: <C1A9DAABC292D111A4D90000F879A2BA0EF7@NTMAIL>
Content-Type: text
To: [email-masked] (Ian Collins)
Cc: [email-masked]

Ian Collins wrote:
> 
> I have just compiled and made cpio on gnu win32 b19.
> I tested it with a 400Mb binary cpio file.
> If I use,
> 
> cpio -icv < file.cpio
> 
> then it gets a premature end of file error.
> 
> However, if I use,
> 
> cpio -icv -I file.cpio
> 
> then it works OK.
> 
> What is stdin doing?

Almost certainly, the redirect is happening in text mode while the
-I inputs the file in binary mode.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".